<div class="container">
  <div class="row">
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2">
      <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">
        <div formGroupName="userData">
          <div class="form-group">
            <label for="username">Username</label>
            <input
              type="text"
              id="username"
              formControlName="username"
              class="form-control">
            <span  *ngIf="!signupForm.get('userData.username').valid && signupForm.get('userData.username').touched" class="help-block">
              <span *ngIf="signupForm.get('userData.username').errors['nameIsForbidden']">Ce nom n'est pas valide</span>
              <span *ngIf="signupForm.get('userData.username').errors['required']">Ce champ est requis</span>
            </span>
          <div class="form-group">
            <label for="email">email</label>
            <input
              type="text"
              id="email"
              formControlName="email"
              class="form-control">
            <span  *ngIf="!signupForm.get('userData.email').valid && signupForm.get('userData.email').touched" class="help-block">Entrez un email valide!</span>
          </div>
        </div>
      </div>
        <div class="radio" *ngFor="let gender of genders">
          <label>
            <input
              type="radio"
              formControlName="genre"
              [value]="gender">{{ gender }}
          </label>
        </div>
        <div formArrayName="hobbies">
          <h4>Vos Hobbies</h4>
          <button type="button" class="btn btn-primary" (click)="onaddHobby()">Ajouter un Hobby</button>
          <div class="form-group"
          *ngFor="let hobbyControl of signupForm.get('hobbies').controls; let i =index">
            <input type="text" class="form-control" [formControlName]="i">
          </div>
        </div>
        <span *ngIf="!signupForm.valid && signupForm.touched" class="help-block">Entrez des données valide!</span>
        <button class="btn btn-primary" type="submit">Submit</button>
      </form>
    </div>
  </div>
</div>
